<?php
/*
Plugin Name: Top Spammers
Plugin URI: http://ten-fingers-and-a-brain.com/wordpress-plugins/top-spammers/
Version: 0.4
Description: Top Spammers displays a <a href="index.php?page=top-spammers">list of your top spammers' IP addresses</a>, based on all comments in your database that are marked as spam. It also generates a blacklist for your .htaccess file to block those spammers from your website entirely, thus taking load off the server. &mdash; You will need another plugin (like <a href="http://akismet.com/">Akismet</a>) to identify the spam.
Author: Martin Lormes
Author URI: http://ten-fingers-and-a-brain.com/
Text Domain: top-spammers
*/
/**
 * Wordpress Plugin "Top Spammers" ({@link http://ten-fingers-and-a-brain.com/wordpress-plugins/top-spammers/ Plugin Homepage})
 *
 * Top Spammers displays a list of your top spammers' IP addresses, based on all comments in your database that are marked as spam.
 * It also generates a blacklist for your .htaccess file to block those spammers from your website entirely, thus taking load off the server.
 *  You will need another plugin (like {@link http://akismet.com/ Akismet}) to identify the spam.
 *
 * @package TopSpammers
 * @category tfnabWordpressPlugins
 * @version 0.4 / SVN: $Id: top-spammers.php 31 2009-09-15 14:55:20Z martin $
 * @author Martin Lormes {@link http://ten-fingers-and-a-brain.com/}
 */
/**
 * plugin version
 *
 * used to identify the 'format' of the blacklist and update it when the plugin has been updated
 *  e.g. set autoload to no as of the 0.4 version
 *
 * @since 0.4
 */
define ( 'TOP_SPAMMERS_VERSION', '0.4' );

if ( is_admin () )
{
  /**
   * load the plugin class file and initialize the plugin
   * @since 0.4
   */
  require_once ( dirname ( __FILE__ ) . '/top-spammers-wp.php' );
  pluginTopSpammers::init();
}
